
// Query the action attr of 1st form
$("form").attr("action");
// Set the src attribute of element with id icon
$("#icon").attr("src", "icon.gif");
// Set 4 attributes at once
$("#banner").attr({src:"banner.gif",
                   alt:"Advertisement",
                   width:720, height:64});
// Make all links load in new windows
$("a").attr("target", "_blank"); 
// Compute the target attribute to load local links
// locally and load off-site links in a new window
$("a").attr("target", function() {
    if (this.host == location.host) return "_self"
    else return "_blank";                
});
// We can also pass functions like this
$("a").attr({target: function() {...}}); 
// Make all links load in this window
$("a").removeAttr("target");             
------------------------------------------------------------

$("h1").css("font-weight"); // Get font weight of 1st <h1>
$("h1").css("fontWeight");  // Camel case works, too
$("h1").css("font"); // ERROR: can't query compound style
$("h1").css("font-variant", // Set style on all <h1> tags
            "smallcaps");         
$("div.note").css("border", // Okay to set compound styles
                  "solid black 2px");
// Set multiple styles at once
$("h1").css({ backgroundColor: "black",  
              textColor: "white",
              fontVariant: "small-caps",
              padding: "10px 2px 4px 20px",
              border: "dotted black 4px" });
// Increase all <h1> font sizes by 25%
$("h1").css("font-size", function(i,curval) {    
              return Math.round(1.25*parseInt(curval));
            });
------------------------------------------------------------

// Add a CSS class to all <h1> tags
$("h1").addClass("hilite");
// Add 2 classes to <p> tags after <h1>
$("h1+p").addClass("hilite firstpara");
// Pass a function to add a computed class to each elt.
$("section").addClass(function(n) {    
    return "section" + n;              
});

// Remove a class from all <p> tags
$("p").removeClass("hilite");
// Multiple classes are allowed
$("p").removeClass("hilite firstpara");
// Remove computed classes from tags
$("section").removeClass(function(n) { 
    return "section" + n;              
});
// Remove all classes from all <div>s
$("div").removeClass(); 

// Toggle a CSS class: add the class if it is not
// there or remove it if it is.
$("tr:odd").toggleClass("oddrow");
// Toggle two classes at once
$("h1").toggleClass("big bold");
// Toggle a computed class or classes
$("h1").toggleClass(function(n) {      
    return "big bold h1-" + n;
});
$("h1").toggleClass("hilite", true);  // Like addClass
$("h1").toggleClass("hilite", false); // Like removeClass

// Testing for CSS classes: does any <p> have this class?
$("p").hasClass("firstpara")           
// This does the same thing.
$("#lead").is(".firstpara")            
// is() is more flexible than hasClass()
$("#lead").is(".firstpara.hilite")     
------------------------------------------------------------

// Get value from the surname text field
$("#surname").val() 
// Get single value from <select> 
$("#usstate").val()              
// Get array of values from <select multiple>
$("select#extras").val()         
// Get val of checked radio button
$("input:radio[name=ship]:checked").val()  
// Set value of a text field
$("#email").val("Invalid email address")   
// Check any checkboxes with these names or values
$("input:checkbox").val(["opt1", "opt2"])  
// Reset all text fields to their default
$("input:text").val(function() { 
    return this.defaultValue;
})
------------------------------------------------------------

var t = $("head title").text(); // Get document title
var hdr = $("h1").html()        // Get html of first <h1>
// Give each heading a section number
$("h1").text(function(n, current) {   
    return "§" + (n+1) + ": " + current
});
------------------------------------------------------------

var elt = $("#sprite"); // The element we want to move
var pos = elt.offset(); // Get its current position
pos.top += 100;         // change the Y coordinate
elt.offset(pos);        // Set the new position

// Move all <h1> tags to the right by a distance 
// that depends on their position in the document.
$("h1").offset(function(index,curpos) {
    return {
        left: curpos.left + 25*index,
        top:curpos.top
    };
});
------------------------------------------------------------

var body = $("body");
// Four different widths, depending on what's included
var contentWidth = body.width();
var paddingWidth = body.innerWidth();
var borderWidth = body.outerWidth();
var marginWidth = body.outerWidth(true);
// Sums of the l and r padding, borders and margins
var padding = paddingWidth-contentWidth;
var borders = borderWidth-paddingWidth;
var margins = marginWidth-borderWidth;
------------------------------------------------------------

// Scroll the window by n pages.
// n may be fractional or negative.
function page(n) {      
    // Wrap the window in a jQuery object
    var w = $(window);  
    // Get the size of a page
    var pagesize = w.height();   
    // Get the current scrollbar position
    var current = w.scrollTop(); 
    // Set new scrollbar position n pages down
    w.scrollTop(current + n*pagesize);  
}
------------------------------------------------------------

$("div").data("x", 1);            // Set some data
$("div.nodata").removeData("x");  // Remove some data
var x = $('#mydiv').data("x");    // Query some data
------------------------------------------------------------

$(e).data(...)   // The method form
$.data(e, ...)   // The function form
------------------------------------------------------------
