
// Clicking on any <p> gives it a gray background
$("p").click(function() {
    $(this).css("background-color", "gray");
});
------------------------------------------------------------

$("<img/>", {
    src: image_url,
    alt: image_description,
    className: "translucent_image",
    click: function() { $(this).css("opacity", "50%"); }
});
------------------------------------------------------------

// Ignore events that start on links
if ($(event.target).is("a")) return; 
------------------------------------------------------------

$('p').bind('click', f);
------------------------------------------------------------

$('a').bind('mouseenter mouseleave', f);
------------------------------------------------------------

// Bind f as a mouseover handler in namespace "myMod"
$('a').bind('mouseover.myMod', f);
------------------------------------------------------------

// Bind f as a mouseout handler in two namespaces
$('a').bind('mouseout.myMod.yourMod', f);
------------------------------------------------------------

$('a').bind({mouseenter:f, mouseleave:g});
------------------------------------------------------------

// Remove all jQuery event handlers from all elements!
$('*').unbind();  
------------------------------------------------------------

// Unbind all mouseover and mouseout handlers
// of all <a> tags
$('a').unbind("mouseover mouseout"); 
------------------------------------------------------------

// Unbind all mouseover and mouseout handlers
// in the "myMod" namespace
$('a').unbind("mouseover.myMod mouseout.myMod"); 
// Unbind handlers for any event in the myMod namespace
$('a').unbind(".myMod");
// Unbind click handlers that are in both namespaces
$('a').unbind("click.ns1.ns2");
------------------------------------------------------------

$('#mybutton').unbind('click', myClickHandler);
------------------------------------------------------------

$('a').unbind({  // Remove specific event handlers
   mouseover: mouseoverHandler,
   mouseout: mouseoutHandler
});
------------------------------------------------------------

// Act as if the user clicked the Submit button
$("#my_form").submit();    
------------------------------------------------------------

$("#my_form").trigger("submit");
------------------------------------------------------------

// Trigger button click handlers in namespace ns1
$("button").trigger("click.ns1");  
// Trigger button click handlers in no namespace
$("button").trigger("click!");     
------------------------------------------------------------

// The onclick handler of button1 triggers
// the same event on button2
$('#button1').click(function(e) {
    $('#button2').trigger(e);
});

// Add extra property to the event object when triggering
$('#button1').trigger({type:'click', synthetic:true});

// Test extra property to distinguish real from synthetic
$('#button1').click(function(e) {
    if (e.synthetic) {...};
});
------------------------------------------------------------

// Pass a single extra argument
$('#button1').trigger("click", true);    
// Pass three extra arguments
$('#button1').trigger("click", [x,y,z]); 
------------------------------------------------------------

// When the user clicks the "logoff" button, broadcast a
// custom event to any interested observers that need to
// save their state and then navigate to the logoff page.
$("#logoff").click(function() {
    $.event.trigger("logoff");      // Broadcast an event
    window.location = "logoff.php"; // Go to a new page
});
------------------------------------------------------------

$(document).delegate("a", "mouseover", linkHandler);
------------------------------------------------------------

// Static event handlers for static links
$("a").bind("mouseover", linkHandler);
// Live event handlers for dynamic parts of the document
$(".dynamic").delegate("a", "mouseover", linkHandler);
------------------------------------------------------------

$("a").live("mouseover", linkHandler);
$("a", $(".dynamic")).live("mouseover", linkHandler);
------------------------------------------------------------

x.live(type,handler);
$(x.context).delegate(x.selector, type, handler);
------------------------------------------------------------

// Remove all live handlers for mouseover on <a> tags
$('a').die('mouseover');  
// Remove just one specific live handler
$('a').die('mouseover', linkHandler); 
------------------------------------------------------------

// Remove all live handlers for <a> tags
$(document).undelegate('a'); 
// Remove all live mouseover handlers for <a> tags
$(document).undelegate('a', 'mouseover'); 
// Remove one live mouseover handler for <a> tags
$(document).undelegate('a', 'mouseover', linkHandler);
------------------------------------------------------------
