
jQuery.fx.speeds["medium-fast"] = 300;
jQuery.fx.speeds["medium-slow"] = 500;
------------------------------------------------------------

$("#message").fadeIn();        // Fade in over 400ms
$("#message").fadeOut("fast"); // Fade out over 200ms
------------------------------------------------------------


$(".stopmoving").click(function() {
    jQuery.fx.off = true;
});
------------------------------------------------------------

// Quickly fade in an element, and when it is visible,
// display some text in it.
$("#message").fadeIn("fast", function() {
    $(this).text("Hello World");
});
------------------------------------------------------------

$("#blinker").fadeIn(100).fadeOut(100)
             .fadeIn(100).fadeOut(100)
             .fadeIn();
------------------------------------------------------------

// Pass duration and callback as object properties
$("#message").fadeIn({
    duration: "fast",
    complete: function(){ $(this).text("Hello World"); }
});
------------------------------------------------------------

// Fade out, then show, then slide up, then slide down
$("img").fadeOut().show(300).slideUp().slideToggle();
------------------------------------------------------------

// Shrink the height of all images to 0
$("img").animate({ height: 0 });
------------------------------------------------------------

$("#sprite").animate({
    opacity: .25,      // Animate opacity to .25
    font-size: 10      // Animate font size to 10 pixels
}, {
    duration: 500,     // Animation lasts 1/2 second
    complete: function() {    // Call this when done
        this.text("Goodbye"); // Change element text.
    } 
});
------------------------------------------------------------

$("p").animate({
    "margin-left": "+=.5in", // Increase indent
    opacity: "-=.1"          // And decrease opacity
});
------------------------------------------------------------

$("img").animate({
    width: "hide",
    borderLeft: "hide",
    borderRight: "hide",
    paddingLeft: "hide",
    paddingRight: "hide"
});
------------------------------------------------------------

$("img").fadeIn(500)
        .animate({"width":"+=100"},
                 {queue:false, duration:1000})
        .fadeOut(500);
------------------------------------------------------------

jQuery.easing["squareroot"] = Math.sqrt;
------------------------------------------------------------

$("img").animate({"width":"+=100"},
                 {duration: 500, easing:"linear"});
------------------------------------------------------------

$("img").animate({"width":"+=100"}, 500, "linear");
------------------------------------------------------------

// Hide images, as with the hide() method, but animate
// the image size linearly while the opacity is being
// animated with the default "swing" easing function.

// Use the specialEasing option
$("img").animate({
                    width:"hide",
                    height:"hide",
                    opacity:"hide"
                 },{
                    specialEasing: {
                       width: "linear",
                       height: "linear"
                    }
                 });

// Or pass [target value, easing function] arrays
$("img").animate({
    width: ["hide", "linear"],
    height: ["hide", "linear"],
    opacity:"hide"
});
------------------------------------------------------------

// Images become opaque when the mouse moves over them.
// But don't keep queueing up animations on mouse events!
$("img").bind({
    mouseover: function() {
        $(this).stop().fadeTo(300, 1.0);
    },
    mouseout: function() {
        $(this).stop().fadeTo(300, 0.5);
    }
});
------------------------------------------------------------

// Quickly fade out halfway, wait, then slide up
$("img").fadeTo(100, 0.5).delay(200).slideUp();
------------------------------------------------------------

$("img").bind({
    mouseover: function() {
        $(this).stop(true).delay(100).fadeTo(300, 1.0);
    },
    mouseout: function() {
        $(this).stop(true).fadeTo(300, 0.5);
    }
});
------------------------------------------------------------

// Fade in, wait, set some text, and animate the border
$("#message").fadeIn().delay(200).queue(function(next) {
    $(this).text("Hello  World"); // Display some text
    next();                       // Run next queued item
}).animate({borderWidth: "+=10px;"});  // Grow the border
------------------------------------------------------------

$(this).dequeue();  // Instead of next()
------------------------------------------------------------

// Create a jQuery object holding e, and call queue()
$(e).queue(f);      
// Just call the jQuery.queue() utility function
jQuery.queue(e,f);  
------------------------------------------------------------
