
// Load and display a status report every 60 seconds
setInterval(function() {
    $("#stats").load("status_report.html");
}, 60000);
------------------------------------------------------------

// Load the temperature section of the weather report
$('#temp').load("weather_report.html #temperature");
------------------------------------------------------------

// Load the weather report for a specified zipcode
$('#temp').load("us_weather.html", "zipcode=02134");

// Here we use an object as data and specify degrees F
$('#temp').load("us_weather.html",
                { zipcode:02134, units:'F' });
------------------------------------------------------------

// Dynamically load a script from some other server
jQuery.getScript("http://example.com/js/widget.js");
------------------------------------------------------------

// Load a library and use it once it loads
jQuery.getScript("js/jquery.my_plugin.js", function() {
    $('div').my_plugin();  // Use the library we loaded
});
------------------------------------------------------------

// Suppose data.json contains the text: '{"x":1,"y":2}'
jQuery.getJSON("data.json", function(data) {
    // Now data is the object {x:1, y:2}
});
------------------------------------------------------------

$("#submit_button").click(function(e) {
    var f = this.form; // The containing form element
    $(f).load(         // Replace the form by loading
        f.action,          // ...the form url
        $(f).serialize()); // ...plus form data.
    e.preventDefault();    // Don't submit f normally
    this.disabled = "disabled"; // Prevent more clicks
});
------------------------------------------------------------

$.param({a:[1,2,3]})       // "a[]=1&a[]=2&a[]=3"
$.param({o:{x:1,y:true}})  // "o[x]=1&o[y]=true"
$.param({o:{x:{y:[1,2]}}}) // "o[x][y][]=1&o[x][y][]=2"
------------------------------------------------------------

// Request text and display it in an alert dialog
jQuery.get("debug.txt", alert);
------------------------------------------------------------

jQuery.ajax({
    type: "GET",       // The HTTP request method.
    url: url,          // The URL of the data to fetch.
    data: null,        // Don't add any data to the URL.
    dataType:"script", // Execute response as a script.
    success: callback  // Call this function when done.
});
------------------------------------------------------------

jQuery.ajaxSetup({
    // Abort all Ajax requests after 2 seconds
    timeout: 2000, 
    // Defeat browser cache by adding a timestamp to URL
    cache: false   
});
------------------------------------------------------------

$("#loading_animation").bind({
    ajaxStart: function() { $(this).show(); },
    ajaxStop: function() { $(this).hide(); }
});
------------------------------------------------------------
