
p:nth-child(3n+1):text(JavaScript):not(:has(a))
------------------------------------------------------------

"blockquote i"      // Matches <i> within a <blockquote>
"ol > li"           // <li> as a direct child of <ol>
"#output + *"       // The sibling after the #output elt
"div.note > h1 + p" // <p> after <h1> inside a div.note
------------------------------------------------------------

"h1, h2, h3"        // All <h1>, <h2> and <h3> tags
"#p1, #p2, #p3"     // Elements with id p1, p2 and p3
"div.note, p.note"  // Any <div> or <p> with class="note"
"body>p,div.note>p" // <p> children of <body> or div.note
------------------------------------------------------------

(h1, h2, h3)+p        // Not legal
h1+p, h2+p, h3+p      // Write this instead
------------------------------------------------------------

var paras = $("p");
paras.first()         // Select only the first <p> tag
paras.last()          // Select only the last <p>
paras.eq(1)           // Select the second <p>
paras.eq(-2)          // Select the second to last <p>
paras[1]              // The second <p> tag, itself
------------------------------------------------------------

$("p").slice(2,5)   // The 3rd, 4th and 5th <p> tags
$("div").slice(-3)  // The last three <div> tags
------------------------------------------------------------

$("div").filter(".note")        // Same as $("div.note")
$("div").filter($(".note"))     // Same as $("div.note")
$("div").filter(function(idx) { // Same as $("div:even")
    return idx % 2 == 0
})
------------------------------------------------------------

// All <div> tags except two special ones
$("div").not("#header, #footer");  
------------------------------------------------------------

$("p").has("a[href]")  // Paragraphs that include links
------------------------------------------------------------

// Equivalent ways to select all <div> and <p> elements
$("div, p")            // Use a selector group
$("div").add("p")      // Pass a selector to add()
$("div").add($("p"))   // Pass a jQuery object to add()
var paras = document.getElementsByTagName("p"); 
$("div").add(paras);   // Pass an array-like object
------------------------------------------------------------

// find <p> tags inside <div> tags.  Same as $("div p")
$("div").find("p")  
------------------------------------------------------------

// Find all <span> tags that are direct children of the
// elements with ids "header" and "footer".
// Same as $("#header>span,#footer>span")
$("#header, #footer").children("span")
------------------------------------------------------------

$("h1").next("p") // Same as $("h1+p")
$("h1").prev()    // Sibling elements before <h1> tags
------------------------------------------------------------

// All <p> siblings following the #footer element
$("#footer").nextAll("p")    
// All siblings before the #footer element
$("#footer").prevAll()       
------------------------------------------------------------

$("li").parent()  // Elements that have <li> children
------------------------------------------------------------

$("a[href]").parents("p") // <p> tags that contain links
------------------------------------------------------------

// Innermost <div>s that contain links
$("a[href]").closest("div")            
// All <div> wrappers directly around <a>
$("a[href]").parentsUntil(":not(div)") 
------------------------------------------------------------

// Find all <div> tags, then find the <p> tags inside.
// Highlight the <p> tags and then give the <div> tags
// a border. First, without method chaining:
var divs = $("div");                    
var paras = divs.find("p");
paras.addClass("highlight");
divs.css("border", "solid black 1px");

// Here's how we could do it with a method chain
$("div").find("p").addClass("highlight")
    .end().css("border", "solid black 1px");

// Or reorder the operations and avoid the call to end()
$("div").css("border", "solid black 1px")
    .find("p").addClass("highlight");
------------------------------------------------------------

var sel = $("div");   // Select all <div> tags
var paras = document.getElementsByTagName("p");
sel.pushStack(paras); // Modify selection to all <p>s
sel.end();            // Restore selection to all <div>s
------------------------------------------------------------

$("div").find("p")         // find <p>s in <div>s
    .andSelf()             // merge them together
    .addClass("highlight") // Highlight them all
    .end().end()           // Pop twice back to $("div")
    .css("border", "solid black 1px"); // Add a border
------------------------------------------------------------
